Get deleted messages from a specific date.
Changelog
| Version | Description |
|---|---|
| 0.73.0 | Added |
The authToken of the authenticated user.
The userId of the authenticated user.
Number of items to "skip" in the query, i.e. requests return count items, skipping the first offset items. Refer to the official documentation to learn more.
List of fields to order by, and in which direction. This is a JSON object, with properties listed in desired order, with values of 1 for ascending, or -1 for descending. For example, { "value": -1, "_id": 1 }. Refer to the official documentation to learn more.
A valid ISO date format from which you want to search the deleted messages.
The room ID.
OK
{
"messages": [
{
"_id": "wKBW2YwrPahpag4zA"
},
{
"_id": "SJXYBbageAo8bo7rX"
},
{
"_id": "jEnjsxuoDJamGjbH2"
}
],
"count": 3,
"offset": 0,
"total": 3,
"success": true
}Bad Request
{
"success": false,
"error": "[The required \"roomId\" query param is missing.]",
"errorType": "The required \"roomId\" query param is missing."
}{
"success": false,
"error": "[The required \"since\" query param is missing.]",
"errorType": "The required \"since\" query param is missing."
}Unauthorized
{
"status": "error",
"message": "You must be logged in to do this."
}